const execSync = require("child_process").execSync;

class Module {
    constructor(name, description, prefix, flavor, entrypoint, version) {
        this.name = name;
        this.description = description;
        this.prefix = prefix;
        this.flavor = flavor;
        this.entrypoint = entrypoint;
        this.version = version;
    }

    run(message) {
        console.log("Running module");

        switch(this.flavor) {
            case "node":
                return execSync("node " + this.entrypoint);
                break;
            default:
                return {"status": "error", "message": "Runtime not supported, check configuration"};
                break;
        }
    }

}

module.exports = Module;
